---
# defaults file for squid

# The port squid is listening on.
squid_port: 3128

# The directory where (and how) to cache.
squid_cache_dir: ufs /var/spool/squid 100 16 256

# Location of squid's log file
squid_access_log: /var/log/squid/access.log

# vars file for squid

squid_packages:
  - squid

_squid_user:
  default: squid
  Debian: proxy

squid_user: "{{ _squid_user[ansible_os_family] | default(_squid_user['default']) }}"

_squid_group:
  default: squid
  Debian: proxy

squid_group: "{{ _squid_group[ansible_os_family] | default(_squid_group['default']) }}"

squid_config_directory: /etc/squid

squid_config_file: squid.conf

squid_service: squid